# build file required so that imakef will not override vars defined in Makefile
#
LIBRARIAN=ilibr
OCCAM=oc
LINK=ilink
INIF=inif
INIFOPT=-znd -zcc
CONFIG=icconf
HCONFIG=inconf
HCONFOPT=-ng
OCONFIG=occonf
COLLECT=icollect
CC=icc -o2 -qt -t9000 -gamma
FORTRAN=if77
DELETE=rm
LIBOPT=
OCCOPT=
LINKOPT=-t9000 -gamma
CONFOPT=
OCONFOPT=
COLLECTOPT=
# COPT= # use value defined in Makefile
F77OPT=


##### IMAKEF CUT #####

all: ping.btl ping.nif

ping.nif : ping.ndl
	$(INIF) ping.ndl $(INIFOPT)

ping.btl : ping.cfb 
	$(COLLECT) ping.cfb -o ping.btl $(COLLECTOPT)

ping.cfb : ping.cfs ping.c9x pingrd.c9x 
	$(HCONFIG) ping.cfs -o ping.cfb $(HCONFOPT)

ping.c9x : ping.lnk ping.t9x 
	$(LINK) -f ping.lnk -o ping.c9x $(LINKOPT)

ping.t9x : ping.c 
	$(CC) ping.c -o ping.t9x $(COPT)

pingrd.c9x : pingrd.lnk ping.t9x 
	$(LINK) -f pingrd.lnk -o pingrd.c9x $(LINKOPT)

clean  : delete
delete :
	-$(DELETE) ping.cfb
	-$(DELETE) ping.c9x
	-$(DELETE) ping.t9x
	-$(DELETE) pingrd.c9x
