# build file required so that imakef will not override vars defined in Makefile
#
LIBRARIAN=ilibr
OCCAM=oc
LINK=ilink
INIF=inif
INIFOPT=-znd -zcc
CONFIG=icconf
HCONFIG=inconf
HCONFOPT=-ng
OCONFIG=occonf
COLLECT=icollect
CC=icc -o2 -qt -t9000 -gamma
FORTRAN=if77
DELETE=rm
LIBOPT=
OCCOPT=
LINKOPT=-t9000 -gamma
CONFOPT=
OCONFOPT=
COLLECTOPT=
# COPT= # use value defined in Makefile
F77OPT=


##### IMAKEF CUT #####

all: mandel.btl mandel.nif

mandel.nif : mandel.ndl
	$(INIF) mandel.ndl $(INIFOPT)

mandel.btl : mandel.cfb 
	$(COLLECT) mandel.cfb -o mandel.btl $(COLLECTOPT)

mandel.cfb : mandel.cfs mandel.c9x mandelrd.c9x 
	$(HCONFIG) mandel.cfs -o mandel.cfb $(HCONFOPT)

mandel.c9x : mandel.lnk mandel.t9x 
	$(LINK) -f mandel.lnk -o mandel.c9x $(LINKOPT)

mandel.t9x : mandel.c 
	$(CC) mandel.c -o mandel.t9x $(COPT)

mandelrd.c9x : mandelrd.lnk mandel.t9x 
	$(LINK) -f mandelrd.lnk -o mandelrd.c9x $(LINKOPT)

clean  : delete
delete :
	-$(DELETE) mandel.cfb
	-$(DELETE) mandel.c9x
	-$(DELETE) mandel.t9x
	-$(DELETE) mandelrd.c9x
