/**********************************************************************\
*                                                                      *
*                  Copyright (c) Exeter University,		       *
*                  Department of Computer Science,                     *
*                 (aba@uk.ac.ex.dcs) Adam Back, 1994                   *
*                                                                      *
*  GNU GPL (General Public License) Applies.                           *
*                                                                      *
\**********************************************************************/
#ifndef _fork_h
#define _fork_h

#include "p4_config.h"

#define STACK_MASK (~(STACK_ALIGNMENT - 1))

extern void* MainLocal;

void Interrupt( int, void (*)() );
int ProcFork( void (*)() );
int WaitFor( int* );
void* GetLocal( void );
/*
int DataSeg( void );
*/
extern int ForkId( void );

#endif
