/**********************************************************************\
*                                                                      *
*                  Copyright (c) Exeter University,		       *
*                  Department of Computer Science,                     *
*                 (aba@uk.ac.ex.dcs) Adam Back, 1994                   *
*                                                                      *
*  GNU GPL (General Public License) Applies.                           *
*                                                                      *
\**********************************************************************/
#ifndef __macros_h
#define __macros_h

extern int lline, dxdr;

#define P(x) fprintf(stderr,"%s\n",x); fflush(stderr);
#define L if (lline) {fprintf(stderr,"%s:%d:\n",__FILE__,__LINE__); fflush(stderr);}
#define R(x) fprintf(stderr,"%s\n",#x); x

#define EXTERN extern
#define PRIVATE static
#define PUBLIC

#ifndef sun
#define TRUE 1
#endif

#define _ 0
#define bitPACK(a,b,c,d,e,f,g,h) (char)( \
  (char)(a)      | (char)(b) << 1 | (char)(c) << 2 | (char)(d) << 3 | \
  (char)(e) << 4 | (char)(f) << 5 | (char)(g) << 6 | (char)(h) << 7 )
#define charPACK(a,b,c,d) \
  (long)((long)(a) | (long)(b) << 8 | (long)(c) << 16 | (long)(d) << 24)
#define shortPACK(a,b) ((long)(a) | (long)(b) << 16)
#define isNULL(x) ((x) ? 0 : 1)
#define shortHI(x) ((char)((short)(x) >> 8))
#define shortLO(x) ((char)((short)(x) & 0xFF))
#define longHI(x) (short)((long)(x) >> 16)
#define longLO(x) (short)((long)(x) & 0xFFFF)

#define BIT(x,y) (((1 << ((x) - 1)) & (char)(y)) ? 1:0)

#define CHAR(x,y) (char)(((long)(y) >> 8 * ((x) - 1)) & 0xFF)
#define SHORT(x,y) (short)(((long)(y) >> 16 * ((x) -1)) & 0xFFFF)

#endif
