/**********************************************************************\
*                                                                      *
*                  Copyright (c) Exeter University,		       *
*                  Department of Computer Science,                     *
*                 (aba@uk.ac.ex.dcs) Adam Back, 1994                   *
*                                                                      *
*  GNU GPL (General Public License) Applies.                           *
*                                                                      *
\**********************************************************************/
#ifndef _sockxdr_h
#define _sockxdr_h

#ifndef _ICC
#include <rpc/rpc.h>
#include <sys/socket.h>
#include <netdb.h>
#else
/* TRANSPUTER */
#include "t_socket.h"
#endif

#include "t_macros.h"
#include "t_xdr.h"

EXTERN bool_t xdr_sockaddr(XDR *,struct sockaddr *,int *);
EXTERN bool_t xdr_hostent(XDR *,struct hostent *);

#endif
