LIBRARIAN=ilibr
CC=icc
OCCAM=oc
LINK=ilink
CONFIG=icconf
OCONFIG=occonf
COLLECT=icollect
FORTRAN=if77
LIBOPT=
OCCOPT=
LINKOPT=
CONFOPT=
OCONFOPT=
COLLECTOPT=
F77OPT=

##### IMAKEF CUT #####

p4rd.lib : p4rd.lbb p4_MD.t9x p4_alloc.t9x p4_args.t9x p4_bm.t9x \
          p4_broadcast.t9x p4_debug.t9x p4_error.t9x p4_globals.t9x p4_mon.t9x \
          p4_procgroup.t9x p4_rm.t9x p4_shmem_sr.t9x p4_tsr.t9x p4_utils.t9x \
          p4_sock_cr.t9x usc.t9x t_amalloc.t9x t_comms.t9x t_fork.t9x \
          t_pclient.t9x 
	$(LIBRARIAN) -f p4rd.lbb  -o p4rd.lib $(LIBOPT)

p4_MD.t9x : p4_MD.c 
	$(CC) p4_MD.c -g -t9000 -o p4_MD.t9x $(COPT)

p4_alloc.t9x : p4_alloc.c 
	$(CC) p4_alloc.c -g -t9000 -o p4_alloc.t9x $(COPT)

p4_args.t9x : p4_args.c 
	$(CC) p4_args.c -g -t9000 -o p4_args.t9x $(COPT)

p4_bm.t9x : p4_bm.c 
	$(CC) p4_bm.c -g -t9000 -o p4_bm.t9x $(COPT)

p4_broadcast.t9x : p4_broadcast.c 
	$(CC) p4_broadcast.c -g -t9000 -o p4_broadcast.t9x $(COPT)

p4_debug.t9x : p4_debug.c 
	$(CC) p4_debug.c -g -t9000 -o p4_debug.t9x $(COPT)

p4_error.t9x : p4_error.c 
	$(CC) p4_error.c -g -t9000 -o p4_error.t9x $(COPT)

p4_globals.t9x : p4_globals.c 
	$(CC) p4_globals.c -g -t9000 -o p4_globals.t9x $(COPT)

p4_mon.t9x : p4_mon.c 
	$(CC) p4_mon.c -g -t9000 -o p4_mon.t9x $(COPT)

p4_procgroup.t9x : p4_procgroup.c 
	$(CC) p4_procgroup.c -g -t9000 -o p4_procgroup.t9x $(COPT)

p4_rm.t9x : p4_rm.c 
	$(CC) p4_rm.c -g -t9000 -o p4_rm.t9x $(COPT)

p4_shmem_sr.t9x : p4_shmem_sr.c 
	$(CC) p4_shmem_sr.c -g -t9000 -o p4_shmem_sr.t9x $(COPT)

p4_tsr.t9x : p4_tsr.c 
	$(CC) p4_tsr.c -g -t9000 -o p4_tsr.t9x $(COPT)

p4_utils.t9x : p4_utils.c 
	$(CC) p4_utils.c -g -t9000 -o p4_utils.t9x $(COPT)

p4_sock_cr.t9x : p4_sock_cr.c 
	$(CC) p4_sock_cr.c -g -t9000 -o p4_sock_cr.t9x $(COPT)

usc.t9x : usc.c 
	$(CC) usc.c -g -t9000 -o usc.t9x $(COPT)

t_amalloc.t9x : t_amalloc.c 
	$(CC) t_amalloc.c -g -t9000 -o t_amalloc.t9x $(COPT)

t_comms.t9x : t_comms.c 
	$(CC) t_comms.c -g -t9000 -o t_comms.t9x $(COPT)

t_fork.t9x : t_fork.c 
	$(CC) t_fork.c -g -t9000 -o t_fork.t9x $(COPT)

t_pclient.t9x : t_pclient.c 
	$(CC) t_pclient.c -g -t9000 -o t_pclient.t9x $(COPT)

clean  : delete
delete :
	-$(DELETE) p4_MD.t9x
	-$(DELETE) p4_alloc.t9x
	-$(DELETE) p4_args.t9x
	-$(DELETE) p4_bm.t9x
	-$(DELETE) p4_broadcast.t9x
	-$(DELETE) p4_debug.t9x
	-$(DELETE) p4_error.t9x
	-$(DELETE) p4_globals.t9x
	-$(DELETE) p4_mon.t9x
	-$(DELETE) p4_procgroup.t9x
	-$(DELETE) p4_rm.t9x
	-$(DELETE) p4_shmem_sr.t9x
	-$(DELETE) p4_tsr.t9x
	-$(DELETE) p4_utils.t9x
	-$(DELETE) p4_sock_cr.t9x
	-$(DELETE) usc.t9x
	-$(DELETE) t_amalloc.t9x
	-$(DELETE) t_comms.t9x
	-$(DELETE) t_fork.t9x
	-$(DELETE) t_pclient.t9x

